listen_addresses='*'
shared_buffers=512MB
work_mem=128MB
maintenance_work_mem=1GB
bgwriter_delay=10ms
bgwriter_lru_maxpages=1000
bgwriter_lru_multiplier=10
bgwriter_flush_after=2MB
max_wal_size=32GB
checkpoint_timeout=30min
checkpoint_completion_target=0.9
checkpoint_flush_after=2MB
track_io_timing=on
track_activity_query_size=8192
logging_collector=on
log_min_duration_statement=1s
log_checkpoints=on
log_line_prefix = '%m %p %u@%d from %h [vxid:%v txid:%x] [%i] '
log_lock_waits=on
log_statement='ddl'
log_temp_files=0
shared_preload_libraries = 'pg_stat_statements'
pg_stat_statements.max = 1000
pg_stat_statements.track = top
pg_stat_statements.track_utility = true
pg_stat_statements.save = false
